import { type TypeSchema } from "@nlighten/json-schema-utils";
/**
 * Traverse an object and set all paths encountered to targetPath + localPath
 * @param definition
 * @param targetPath extract output paths to this prefix
 * @param previousPaths paths that are input to this transformation (but might not be part of the output)
 * @param paths result paths encountered to be in the output object of this transformation
 * @param typesMap map of path to schema, should contain already existing paths to extract from (will be updated if exists)
 * @param additionalContext additional context to resolve types from
 */
export declare function parseTransformer(definition: any, targetPath: string, previousPaths: string[], paths?: string[], typesMap?: Record<string, TypeSchema>, additionalContext?: Record<string, TypeSchema>): void;
//# sourceMappingURL=parse.d.ts.map