"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const and_json_1 = __importDefault(require("./examples/and.json"));
const at_json_1 = __importDefault(require("./examples/at.json"));
const avg_json_1 = __importDefault(require("./examples/avg.json"));
const base64_json_1 = __importDefault(require("./examples/base64.json"));
const boolean_json_1 = __importDefault(require("./examples/boolean.json"));
const coalesce_json_1 = __importDefault(require("./examples/coalesce.json"));
const concat_json_1 = __importDefault(require("./examples/concat.json"));
const contains_json_1 = __importDefault(require("./examples/contains.json"));
const csv_json_1 = __importDefault(require("./examples/csv.json"));
const csvparse_json_1 = __importDefault(require("./examples/csvparse.json"));
const date_json_1 = __importDefault(require("./examples/date.json"));
const decimal_json_1 = __importDefault(require("./examples/decimal.json"));
const digest_json_1 = __importDefault(require("./examples/digest.json"));
const distinct_json_1 = __importDefault(require("./examples/distinct.json"));
const entries_json_1 = __importDefault(require("./examples/entries.json"));
const eval_json_1 = __importDefault(require("./examples/eval.json"));
const filter_json_1 = __importDefault(require("./examples/filter.json"));
const find_json_1 = __importDefault(require("./examples/find.json"));
const flat_json_1 = __importDefault(require("./examples/flat.json"));
const flatten_json_1 = __importDefault(require("./examples/flatten.json"));
const form_json_1 = __importDefault(require("./examples/form.json"));
const formparse_json_1 = __importDefault(require("./examples/formparse.json"));
const group_json_1 = __importDefault(require("./examples/group.json"));
const if_json_1 = __importDefault(require("./examples/if.json"));
const is_json_1 = __importDefault(require("./examples/is.json"));
const isnull_json_1 = __importDefault(require("./examples/isnull.json"));
const join_json_1 = __importDefault(require("./examples/join.json"));
const jsonparse_json_1 = __importDefault(require("./examples/jsonparse.json"));
const jsonpatch_json_1 = __importDefault(require("./examples/jsonpatch.json"));
const jsonpath_json_1 = __importDefault(require("./examples/jsonpath.json"));
const jsonpointer_json_1 = __importDefault(require("./examples/jsonpointer.json"));
const jwtparse_json_1 = __importDefault(require("./examples/jwtparse.json"));
const length_json_1 = __importDefault(require("./examples/length.json"));
const long_json_1 = __importDefault(require("./examples/long.json"));
const lookup_json_1 = __importDefault(require("./examples/lookup.json"));
const lower_json_1 = __importDefault(require("./examples/lower.json"));
const map_json_1 = __importDefault(require("./examples/map.json"));
const match_json_1 = __importDefault(require("./examples/match.json"));
const matchall_json_1 = __importDefault(require("./examples/matchall.json"));
const math_json_1 = __importDefault(require("./examples/math.json"));
const max_json_1 = __importDefault(require("./examples/max.json"));
const merge_json_1 = __importDefault(require("./examples/merge.json"));
const min_json_1 = __importDefault(require("./examples/min.json"));
const normalize_json_1 = __importDefault(require("./examples/normalize.json"));
const not_json_1 = __importDefault(require("./examples/not.json"));
const numberformat_json_1 = __importDefault(require("./examples/numberformat.json"));
const numberparse_json_1 = __importDefault(require("./examples/numberparse.json"));
const object_json_1 = __importDefault(require("./examples/object.json"));
const or_json_1 = __importDefault(require("./examples/or.json"));
const pad_json_1 = __importDefault(require("./examples/pad.json"));
const partition_json_1 = __importDefault(require("./examples/partition.json"));
const range_json_1 = __importDefault(require("./examples/range.json"));
const raw_json_1 = __importDefault(require("./examples/raw.json"));
const reduce_json_1 = __importDefault(require("./examples/reduce.json"));
const replace_json_1 = __importDefault(require("./examples/replace.json"));
const reverse_json_1 = __importDefault(require("./examples/reverse.json"));
const slice_json_1 = __importDefault(require("./examples/slice.json"));
const sort_json_1 = __importDefault(require("./examples/sort.json"));
const split_json_1 = __importDefault(require("./examples/split.json"));
const string_json_1 = __importDefault(require("./examples/string.json"));
const substring_json_1 = __importDefault(require("./examples/substring.json"));
const sum_json_1 = __importDefault(require("./examples/sum.json"));
const switch_json_1 = __importDefault(require("./examples/switch.json"));
const template_json_1 = __importDefault(require("./examples/template.json"));
const test_json_1 = __importDefault(require("./examples/test.json"));
const transform_json_1 = __importDefault(require("./examples/transform.json"));
const trim_json_1 = __importDefault(require("./examples/trim.json"));
const unflatten_json_1 = __importDefault(require("./examples/unflatten.json"));
const upper_json_1 = __importDefault(require("./examples/upper.json"));
const uriparse_json_1 = __importDefault(require("./examples/uriparse.json"));
const urldecode_json_1 = __importDefault(require("./examples/urldecode.json"));
const urlencode_json_1 = __importDefault(require("./examples/urlencode.json"));
const uuid_json_1 = __importDefault(require("./examples/uuid.json"));
const value_json_1 = __importDefault(require("./examples/value.json"));
const wrap_json_1 = __importDefault(require("./examples/wrap.json"));
const xml_json_1 = __importDefault(require("./examples/xml.json"));
const xmlparse_json_1 = __importDefault(require("./examples/xmlparse.json"));
const xor_json_1 = __importDefault(require("./examples/xor.json"));
const yaml_json_1 = __importDefault(require("./examples/yaml.json"));
const yamlparse_json_1 = __importDefault(require("./examples/yamlparse.json"));
exports.default = {
    and: and_json_1.default,
    at: at_json_1.default,
    avg: avg_json_1.default,
    base64: base64_json_1.default,
    boolean: boolean_json_1.default,
    coalesce: coalesce_json_1.default,
    concat: concat_json_1.default,
    contains: contains_json_1.default,
    csv: csv_json_1.default,
    csvparse: csvparse_json_1.default,
    date: date_json_1.default,
    decimal: decimal_json_1.default,
    digest: digest_json_1.default,
    distinct: distinct_json_1.default,
    entries: entries_json_1.default,
    eval: eval_json_1.default,
    filter: filter_json_1.default,
    find: find_json_1.default,
    flat: flat_json_1.default,
    flatten: flatten_json_1.default,
    form: form_json_1.default,
    formparse: formparse_json_1.default,
    group: group_json_1.default,
    if: if_json_1.default,
    is: is_json_1.default,
    isnull: isnull_json_1.default,
    join: join_json_1.default,
    jsonparse: jsonparse_json_1.default,
    jsonpatch: jsonpatch_json_1.default,
    jsonpath: jsonpath_json_1.default,
    jsonpointer: jsonpointer_json_1.default,
    jwtparse: jwtparse_json_1.default,
    length: length_json_1.default,
    long: long_json_1.default,
    lookup: lookup_json_1.default,
    lower: lower_json_1.default,
    map: map_json_1.default,
    match: match_json_1.default,
    matchall: matchall_json_1.default,
    math: math_json_1.default,
    max: max_json_1.default,
    merge: merge_json_1.default,
    min: min_json_1.default,
    normalize: normalize_json_1.default,
    not: not_json_1.default,
    numberformat: numberformat_json_1.default,
    numberparse: numberparse_json_1.default,
    object: object_json_1.default,
    or: or_json_1.default,
    pad: pad_json_1.default,
    partition: partition_json_1.default,
    range: range_json_1.default,
    raw: raw_json_1.default,
    reduce: reduce_json_1.default,
    replace: replace_json_1.default,
    reverse: reverse_json_1.default,
    slice: slice_json_1.default,
    sort: sort_json_1.default,
    split: split_json_1.default,
    string: string_json_1.default,
    substring: substring_json_1.default,
    sum: sum_json_1.default,
    switch: switch_json_1.default,
    template: template_json_1.default,
    test: test_json_1.default,
    transform: transform_json_1.default,
    trim: trim_json_1.default,
    unflatten: unflatten_json_1.default,
    upper: upper_json_1.default,
    uriparse: uriparse_json_1.default,
    urldecode: urldecode_json_1.default,
    urlencode: urlencode_json_1.default,
    uuid: uuid_json_1.default,
    value: value_json_1.default,
    wrap: wrap_json_1.default,
    xml: xml_json_1.default,
    xmlparse: xmlparse_json_1.default,
    xor: xor_json_1.default,
    yaml: yaml_json_1.default,
    yamlparse: yamlparse_json_1.default,
};
//# sourceMappingURL=examples.js.map